MEMORY
{
    FLASH (rx) : ORIGIN = 0x08000000, LENGTH = 64K
    SRAM (rwx) : ORIGIN = 0x20000000, LENGTH = 8K
}

PROVIDE(hardware_init_hook = 0);
PROVIDE(software_init_hook = 0);
PROVIDE(software_term_hook = 0);
STARTUP(start.o)

SECTIONS
{
    .text :
    {
	    . = ALIGN(4);
        __text = .;
		KEEP(*(.vector))
        *(.text)
        *(.text.*)
		KEEP(*(.ioview)) 
	    . = ALIGN(4);
    } > FLASH
	.rodata :
	{
	. = ALIGN(4);
        *(.rodata)
        *(.rodata.*)
    } > FLASH

	.ARM.extab   : { *(.ARM.extab* .gnu.linkonce.armextab.*) } > FLASH
	__exidx_start = .;
	.ARM.exidx   : { *(.ARM.exidx* .gnu.linkonce.armexidx.*) } > FLASH
	__exidx_end = .;

	. = ALIGN(4);
	_etext = .;
	PROVIDE(etext = .);

	__idata_start = .;
    .data : AT (__idata_start)
    {
		. = ALIGN(4);
		__data_start = .;
        *(vtable)
        *(.data)
        *(.data.*)
		_edata = .;
		PROVIDE(edata = .);
    } > SRAM
	__idata_end = __idata_start + SIZEOF(.data);

    .bss :
    {
		. = ALIGN(4);
        __bss_start  = .;
        *(.bss)
        *(COMMON)
        . = ALIGN(4);
		_end = .;
		__bss_end = .;
		PROVIDE(end = .);
    } > SRAM
}
